<?php
	session_start();
	if($_SESSION["sistema"]!= "1"){ header("location: ../../index.php"); exit();}
	require_once ("../../config/Cado.php");
?>
<style type="text/css">
select{
cursor:pointer;	
}
</style>
<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Artículos
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Mantenimiento Interno</li>
				<li class="breadcrumb-item" >Catalogo</li>
				<li class="breadcrumb-item active">Artículos</li>
            </ol>
          </div>
		</div>
	</div>
</div>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-12">
		    <div class="card">
		        <div class="card-header">
		          <button id="btn_agregar" onClick="producto_form('insertar')" class="btn btn-primary">Agregar</button>
		          <button id="btn_actualizar" class="btn btn-default">Actualizar</button>	
					<span class="btn btn-primary float-right" id="btn_excel_producto_digemid"> <i class="fa fa-file-excel-o"></i>EXCEL DIGEMID </span>
					<span class="btn btn-success " id="btn_excel_producto_general"> <i class="fa fa-file-excel-o"></i> EXCEL GENERAL </span>
					<span class="btn btn-warning " id="btn_excel_producto_bonificados"> <i class="fa fa-file-excel-o"></i> EXCEL BONIFICADOS </span>
					<small id="msj_imporproducto" class="ui-state-highlight ui-corner-all" style="width:auto; float:right; padding:7.8px; display:none"></small>	
					
					<form enctype="multipart/form-data" title="Subir formato lleno de informacion"  class="formulario bg-red float-right d-none" id="formularioarchivo" style="padding:0px;" >
						<input id="file_archivo" type="file" name="file_archivo" class="" >	
					</form>	
					
			   
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>
<div id="div_producto_codbar_form"></div>
			<!-- formulario de registro -->
			<div class="modal fade" id="div_producto_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1" 
			style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog modal-xs" role="document" >
			<div class="modal-content">
			<div class="modal-body div_producto_form" style="padding:0px;" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
			<!-- formulario de marca -->
			<div class="modal fade" id="div_marca_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog modal-lg"  role="document" >
			<div class="modal-content">
			<div class="modal-body div_marca_form" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
			<!-- formulario de categorias -->
			<div class="modal fade" id="div_categoria_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog modal-ms"  role="document" >
			<div class="modal-content">
			<div class="modal-body div_categoria_form" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
			
			<!-- formulario de categorias -->
			<div class="modal fade" id="div_empaque_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog modal-ms"  role="document" >
			<div class="modal-content">
			<div class="modal-body div_empaque_form" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
			
			
			
			<!-- formulario de categorias -->
			<div class="modal fade" id="div_presentacion_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog modal-ms"  role="document" >
			<div class="modal-content">
			<div class="modal-body div_presentacion_form" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
			
			<!-- formulario de unidad -->
			<div class="modal fade" id="div_unidad_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog modal-ms"  role="document" >
			<div class="modal-content">
			<div class="modal-body div_unidad_form" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			<!-- formulario de registro -->
			<div class="modal fade" id="div_producto_form_codbar_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog modal-md"  role="document" >
			<div class="modal-content">
			<div class="modal-body div_producto_form_codbar" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
			<!-- formulario de codigos -->
			<div class="modal fade" id="div_producto_codigo_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog modal-md"  role="document" >
			<div class="modal-content">
			<div class="modal-body div_producto_codigo" style="padding:0%;" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			<div class="modal fade" id="div_producto_info_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1" 
			style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog modal-lg"  role="document" >
			<div class="modal-content">
			<div class="modal-body div_producto_info_form" style="padding:0%;" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
				<form name="for_form" id="for_form" target="_blank" action="" method="post">
				</form>
		<!-- Busqueda de registros -->
		<div id="div_producto_filtro"></div>
		<!-- Lista de registros -->
		<div id="div_producto_tabla"></div>
                    
<script type="text/javascript">
  $("#file_archivo").fileinput({
        browseClass: "btn btn-success ",
		 browseLabel:"",
		 browseIcon: "<i class=\"fa fa-file-excel\"></i> ",
         showPreview : false,
		showCaption: false,
        showRemove: false,
        showUpload: false
    });
	
	$('#btn_excel_producto_general').click(function() {
		$("#for_form").attr('action', "../../files/producto/reporte_producto_general.php");
		$("#for_form").submit();
	});
	
	$('#btn_excel_producto_bonificados').click(function() {
		$("#for_form").attr('action', "../../files/producto/reporte_producto_bonificacion.php");
		$("#for_form").submit();
	});
	
	
	$('#btn_excel_producto_digemid').click(function() {
		$("#for_form").attr('action', "../../files/producto/reporte_producto_digemid.php");
		$("#for_form").submit();
	});
	
$("#file_archivo").change(function(){
	
	var file = $("#file_archivo")[0].files[0];
	var fileName = file.name;
	fileExtension = fileName.substring(fileName.lastIndexOf('.') + 1);
	
	var formData = new FormData($("#formularioarchivo")[0]);
	if(fileExtension == "xlsx" || fileExtension == "xls"){
		
		$.ajax({
		type: "POST",
		url: "../producto/importar_datos.php",
		cache: false,
        contentType: false,
        processData: false,                
		data: formData,
		beforeSend: function() {
			//toastr["info"]('Procesando archivo');
			$("#msj_imporproducto").html('Procesando el archivo subido...');	
			$("#msj_imporproducto").show();	
        },
		success: function(rpt){
			
		//toastr["info"]('Archivo procesado correctamente');
		$("#msj_imporproducto").hide();	
		toastr["info"]('Archivo procesado correctamente');	
		},
		complete: function(){			
			producto_tabla();
		}
	});     
		
	}else{
		toastr["error"]('Seleccione un archivo Excel');
	}
});
function producto_codbar(catid,nombre,codbar,stock){
	
	$('#div_producto_form_codbar_dialog').modal();
	//	$('body').css('overflow-y','hidden');
	
	$.ajax({
		type: "POST",
		url: "../producto/producto_codbar_form.php",
		async:true,
		dataType: "html",                      
		data: ({
			cat_id:		catid,
			pro_nom:	nombre,
			pro_codbar:	codbar,
			pro_sto:	stock,
			vista:		'producto'
		}),
		beforeSend: function() {
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				
			$('.div_producto_form_codbar').html(div);
        },
		success: function(html){
			
			$('.div_producto_form_codbar').html(html);			
			$('#txt_codbar_numcop').focus();
		}
	});
}
function producto_filtro()
{
	$.ajax({
		type: "POST",
		url: "../producto/producto_filtro.php",
		async:true,
		dataType: "html",                      
		
		beforeSend: function() {
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				
			$('#div_producto_filtro').html(div);
        },
		success: function(html){
			$('#div_producto_filtro').html(html);		
		},
		complete: function(){
			
		}
	});
}
function producto_tabla()
{
	$.ajax({
		type: "POST",
		url: "../producto/producto_tabla.php",
		async:true,
		dataType: "html", 
		data: $("#for_fil_pro").serialize(),                    
		beforeSend: function() {
			
			$('#div_producto_tabla').addClass("ui-state-disabled");
        },
		success: function(html){
			$('#div_producto_tabla').html(html);
		},
		complete: function(){			
			$('#div_producto_tabla').removeClass("ui-state-disabled");
		}
	});     
}
function ver_info(catid,preid,proid){
	$('#div_producto_info_dialog').modal();
		$('body').css('overflow-y','hidden');
	$.ajax({
		type: "POST",
		url: "../producto/producto_info.php",
		async:true,
		dataType: "html",                      
		data: ({
			cat_id:	catid,
			pre_id:	preid,
			pro_id:proid
		}),
		beforeSend: function() {	
		var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				
		$('.div_producto_info_form').html(div);
        },
		success: function(html){
			$('.div_producto_info_form').html(html);				
		}
	});
}
function producto_form(act,idf){
	$('#div_producto_form_dialog').modal();
		$('body').css('overflow-y','hidden');
	$.ajax({
		type: "POST",
		url: "../producto/producto_form.php",
		async:true,
		dataType: "html",                      
		data: ({
			action: act,
			pro_id:		idf,
			vista:	'producto_tabla'
		}),
		beforeSend: function() {	
		var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				
			$('.div_producto_form').html(div);
        },
		success: function(html){
			$('.div_producto_form').html(html);				
		}
	});
}
function producto_form_codigo(act,idf,proid){
	$('#div_producto_codigo_dialog').modal();
		$('body').css('overflow-y','hidden');
	$.ajax({
		type: "POST",
		url: "../producto/producto_form_codigo.php",
		async:true,
		dataType: "html",                      
		data: ({
			action: act,
			cat_id:	idf,
			pro_id:proid,
			vista:	'producto_tabla'
		}),
		beforeSend: function() {	
		var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				$('.div_producto_codigo').html(div);
        },
		success: function(html){
			$('.div_producto_codigo').html(html);				
		}
	});
}
function eliminar_producto(id)
{      
	if(confirm("Realmente desea eliminar?")){
		$.ajax({
			type: "POST",
			url: "../producto/producto_reg.php",
			async:true,
			dataType: "json",
			data: ({
				action: "eliminar",
				pro_id:	id
			}),
			beforeSend: function() {
				
			},
			success: function(data){
				toastr["success"](data.msj);
			},
			complete: function(){
				producto_tabla();
			}
		});
	}
}
/* function producto_codbar_form(catid,nombre,codbar,stock){
	$.ajax({
		type: "POST",
		url: "../producto/producto_codbar_form.php",
		async:true,
		dataType: "html",                      
		data: ({
			cat_id:		catid,
			pro_nom:	nombre,
			pro_codbar:	codbar,
			pro_sto:	stock,
			vista:		'producto'
		}),
		beforeSend: function() {
			$('#div_producto_codbar_form').dialog("open");
			$('#div_producto_codbar_form').html('Cargando...');
        },
		success: function(html){
			$('#div_producto_codbar_form').html(html);			
		}
	});
} */
$(function() {
	$('#btn_actualizar').click(function() {
		$("#contenido").load("../producto/producto_vista.php");
	});
	
	$("#div_marca_form_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','hidden');
    });
	
	$("#div_categoria_form_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','hidden');
    });
	
	$("#div_unidad_form_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','hidden');
    });
	
	$("#div_producto_form_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','scroll');
    });
	
	$("#div_producto_info_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','scroll');
    });
	
	producto_filtro();		
	
	setTitle("PRODUCTOS - "+nombreEmpresa);
	
});
</script>